Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.parser.schema
Class XSDException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
oracle.xml.parser.schema.XSDException`

All Implemented Interfaces:
  java.io.Serializable

      public class XSDException

extends java.lang.Exception

See Also:
  Serialized Form

Method Summary
`java.lang.String` `getMessage()` Overrride getMessage, in order to construct error message from error id, and error params
`java.lang.String` `getMessage(XMLError err)` Get localized message based on the XMLError sent as parameter

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrride getMessage, in order to construct error message from error id, and error params
  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getMessage

    public java.lang.String getMessage(XMLError err)

  Get localized message based on the XMLError sent as parameter
  Parameters:
    `err` - XMLError class used to get the error message

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.